Bug 1252098 - Nautilus crashes when dialog changing icon layout is invoked
Nautilus crashes when dialog changing icon layout is invoked
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 13:22 EDT by jniederm
Modified: 2016-07-11 09:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-11 09:09:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jniederm 2015-08-10 13:22:37 EDT
Description of problem:
Nautilus crashes when dialog changing icon layout is invoked and closed again

Version-Release number of selected component (if applicable):
nautilus.x86_64                      3.16.2-2.fc22

How reproducible:
100%

Steps to Reproduce:
1. Open nautilus
2. Click 9 dots grid button in upper left corner and wait for pop-up to appear.
3. Click the 9 doct grid button again

Actual results:
Nautilus freezes and crashes in a few seconds

Expected results:
Pop-up is closed

Additional info:
console output:$ nautilus

(nautilus:2477): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -15 and height 34

(nautilus:2477): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -15 and height 34
Segmentation fault (core dumped)
Comment 1 jniederm 2015-08-10 14:05:45 EDT
corresponding abrt report https://bugzilla.redhat.com/show_bug.cgi?id=1244476
Comment 2 jeremy9856 2015-11-18 09:38:29 EST
I have the exact same bug on Fedora 22
Comment 3 jeremy9856 2015-11-24 13:07:54 EST
Same bug reported here : https://bugzilla.gnome.org/show_bug.cgi?id=753210
Comment 4 jeremy9856 2016-07-09 04:44:44 EDT
I think this can be closed.

Note You need to log in before you can comment on or make changes to this bug.